unknown wrote:
> On Mon, 21 Aug 2006, Russell Fulton wrote:
> 
>>>
>> file starts with:
>>
>> #! /usr/bin/ruby
> 
> you have 1.8.4 installed in one place, probably /usr/local/bin/ and 
> 1.6.8 in

Bugger! you're dead right!

[rful011@pateke selms]$ whereis ruby
ruby: /usr/bin/ruby /usr/lib/ruby /usr/local/bin/ruby 
/usr/local/lib/ruby /usr/share/man/man1/ruby.1.gz
[rful011@pateke selms]$ ls -l /usr/local/bin/ruby
-rwxr-xr-x    1 root     root      1214420 Jul 24 16:28 
/usr/local/bin/ruby

I was using darwin ports on a mac to install FreeRide and aborted it 
when I realised it was installing its copy of Ruby.  I though I had got 
rid of it, but clearly not!

Now I'll figure out why 1.8.4 is generating syntax errors.

Thank you very much!


-- 
Posted via http://www.ruby-forum.com/.